/*
 * ***********************************************************************
 *
 *  ADOBE CONFIDENTIAL
 *  ___________________
 *
 *  Copyright 2013 Adobe Systems Incorporated
 *  All Rights Reserved.
 *
 *  NOTICE:  All information contained herein is, and remains
 *  the property of Adobe Systems Incorporated and its suppliers,
 *  if any.  The intellectual and technical concepts contained
 *  herein are proprietary to Adobe Systems Incorporated and its
 *  suppliers and are protected by trade secret or copyright law.
 *  Dissemination of this information or reproduction of this material
 *  is strictly forbidden unless prior written permission is obtained
 *  from Adobe Systems Incorporated.
 *
 * ***********************************************************************
 */

package com.adobe.primetime.reference.ui.catalog.test;

import android.test.ActivityInstrumentationTestCase2;

import com.adobe.primetime.reference.ui.catalog.CatalogActivity;

//Desc: Use this class when one needs to add Integration/Functional testcase
public class CatalogActivityInstrumentationTestCase2 extends
		ActivityInstrumentationTestCase2<CatalogActivity> {

	private CatalogActivity activity;

	public CatalogActivityInstrumentationTestCase2() {
		super(CatalogActivity.class);
	}

	@Override
	public void setUp() throws Exception {
		super.setUp();
		setActivityInitialTouchMode(false); // set to false so that input of
											// keyEvent can be valid
		activity = getActivity();

		testPrecondition();
	}

	// Only when this test is valid should we try to run other test.
	public void testPrecondition() {
		assertNotNull(activity);

	}

}
